- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/exportWorkflowWithBlocksByIdentifier#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/exportWorkflowWithBlocksByIdentifier#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/exportWorkflowWithBlocksByIdentifier#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/exportWorkflowWithBlocksByIdentifier#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/exportWorkflowWithBlocksByIdentifier#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/exportWorkflowWithBlocksByIdentifier#body.LegacyPlaybookImportDefinitionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/exportWorkflowWithBlocksByIdentifier#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/exportWorkflowWithBlocksByIdentifier#body.aspect_1)

**Full name**: projects.locations.instances.legacyPlaybooks.exportWorkflowWithBlocksByIdentifier

Imports multiple playbook definitions from a ZIP file into the current instance. Use this method for bulk deployment of response workflows.

### HTTP request

- Upload URI, for media upload requests:  
  `POST https://{endpoint}/upload/v1alpha/{instance}/legacyPlaybooks:legacyImportDefinitions`
- Metadata URI, for metadata-only requests:  
  `POST https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyImportDefinitions`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to import the definitions for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "media": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo#Media`) }, "mediaInfo": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaRequestInfo`) } } ``` |

| Fields ||
|---|---|
| `media` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo#Media`)`` Information representing the imported data. |
| `mediaInfo` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaRequestInfo`)`` Metadata about the media upload request. Information representing the imported data |

### Response body

LegacyPlaybookImportDefinitionsResponse is a response for importing the Workflow definitions from a zip file.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "workflowIdentifiers": [ string ], "mediaInfo": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo`) } } ``` |

| Fields ||
|---|---|
| `workflowIdentifiers[]` | `string` Optional. The identifiers of the imported definitions. |
| `mediaInfo` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo`)`` Metadata about the media upload response. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPlaybooks.import`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).